### Method

# WebKit2 CookieManager set_accept_policy

#### Declaration [src]

    void
    webkit_cookie_manager_set_accept_policy (
      WebKitCookieManager* cookie_manager,
      WebKitCookieAcceptPolicy policy
    )

#### Description [src]

Set the cookie acceptance policy of `cookie_manager` as `policy`.

Note that ITP has its own way to handle third-party cookies, so when it’s enabled, and `policy` is set to `WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY`, `WEBKIT_COOKIE_POLICY_ACCEPT_ALWAYS` will be used instead. Once disabled, the policy will be set back to `WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY`. See also webkit_website_data_manager_set_itp_enabled().

#### Parameters

`policy`

  Type: `WebKitCookieAcceptPolicy`

  A `WebKitCookieAcceptPolicy`.